clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::TUStatus::BuildDetails Struct Reference

`#include <TUScheduler.h>`

Collaboration diagram for clang::clangd::TUStatus::BuildDetails:
[legend]

## Public Attributes
bool | BuildFailed = false
| Indicates whether clang failed to build the TU. More...
bool | ReuseAST = false
| Indicates whether we reused the prebuilt AST. More...

## Detailed Description

Definition at line 82 of file TUScheduler.h.

## Member Data Documentation

## ◆ BuildFailed

bool clang::clangd::TUStatus::BuildDetails::BuildFailed = false

Indicates whether clang failed to build the TU.

Definition at line 84 of file TUScheduler.h.

## ◆ ReuseAST

bool clang::clangd::TUStatus::BuildDetails::ReuseAST = false

Indicates whether we reused the prebuilt AST.

Definition at line 86 of file TUScheduler.h.

The documentation for this struct was generated from the following file:

- TUScheduler.h